kr.co.hanwha.hifive.screen.main.project

## Class MainProjectPresenter

- java.lang.Object
- - kr.co.hanwha.hifive.screen.main.project.MainProjectPresenter

- All Implemented Interfaces:
    BasePresenter, MainProjectContract.Presenter

      public class MainProjectPresenter
      extends java.lang.Object
      implements MainProjectContract.Presenter

  Unit View Presenter
  See Also:
    `Created by sanghoonkwon on 2018. 2. 20..`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private MainProjectListContract.Model` | `mAdapterModel`
    `private MainProjectListContract.View` | `mAdapterView`
    `private android.content.Context` | `mContext`
    `private boolean` | `mIsAll`
    `private java.util.ArrayList<SpinnerData>` | `mListProjects`
    `private int` | `mProject_id`
    `private ProjectInfo` | `mProjectInfo`
    `private MainProjectContract.View` | `mView`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainProjectPresenter(android.content.Context context, MainProjectContract.View view, MainProjectListContract.View adapterView, MainProjectListContract.Model adapterModel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `detachView()`
    `android.app.Activity` | `getActivity()`
    `android.content.Context` | `getContext()`
    `int` | `getProjectId()` Get Project Id
    `void` | `initProjectList()` Initialize Project info
    `void` | `initTaskData(boolean needLoading)` Initialize Data
    `void` | `setIsAll(boolean isAll)` 필터 : 진행중 / 전체
    `void` | `setProjectId(int projectId)` Set Project & refresh lsit
    `void` | `showEditIssueDialog()` Change issue(web view)
    `void` | `showProjectColorDialog()` Change project color dialog
    `void` | `updateProjectColor(ProjectEvaluationType type)` Update project color

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mContext

          private android.content.Context mContext

    - #### mView

          private MainProjectContract.View mView

    - #### mAdapterView

          private MainProjectListContract.View mAdapterView

    - #### mAdapterModel

          private MainProjectListContract.Model mAdapterModel

    - #### mProjectInfo

          private ProjectInfo mProjectInfo

    - #### mProject_id

          private int mProject_id

    - #### mIsAll

          private boolean mIsAll

    - #### mListProjects

          private java.util.ArrayList<SpinnerData> mListProjects

  - ### Constructor Detail

    - #### MainProjectPresenter

          public MainProjectPresenter(@NonNull
                                      android.content.Context context,
                                      @NonNull
                                      MainProjectContract.View view,
                                      @NonNull
                                      MainProjectListContract.View adapterView,
                                      @NonNull
                                      MainProjectListContract.Model adapterModel)

  - ### Method Detail

    - #### detachView

          public void detachView()

      Specified by:
        `detachView` in interface `BasePresenter`

    - #### getContext

          public android.content.Context getContext()

      Specified by:
        `getContext` in interface `BasePresenter`

    - #### getActivity

          public android.app.Activity getActivity()

    - #### setProjectId

          public void setProjectId(int projectId)

      Description copied from interface: `MainProjectContract.Presenter`
      Set Project & refresh lsit
      Specified by:
        `setProjectId` in interface `MainProjectContract.Presenter`
      Parameters:
        `projectId` - ID

    - #### getProjectId

          public int getProjectId()

      Description copied from interface: `MainProjectContract.Presenter`
      Get Project Id
      Specified by:
        `getProjectId` in interface `MainProjectContract.Presenter`
      Returns:
        Integer

    - #### setIsAll

          public void setIsAll(boolean isAll)

      Description copied from interface: `MainProjectContract.Presenter`
      필터 : 진행중 / 전체
      Specified by:
        `setIsAll` in interface `MainProjectContract.Presenter`
      Parameters:
        `isAll` - Boolean

    - #### initProjectList

          public void initProjectList()

      Description copied from interface: `MainProjectContract.Presenter`
      Initialize Project info
      Specified by:
        `initProjectList` in interface `MainProjectContract.Presenter`

    - #### initTaskData

          public void initTaskData(@NonNull
                                   boolean needLoading)

      Description copied from interface: `MainProjectContract.Presenter`
      Initialize Data
      Specified by:
        `initTaskData` in interface `MainProjectContract.Presenter`
      Parameters:
        `needLoading` - ProgressBar

    - #### showEditIssueDialog

          public void showEditIssueDialog()

      Description copied from interface: `MainProjectContract.Presenter`
      Change issue(web view)
      Specified by:
        `showEditIssueDialog` in interface `MainProjectContract.Presenter`

    - #### showProjectColorDialog

          public void showProjectColorDialog()

      Description copied from interface: `MainProjectContract.Presenter`
      Change project color dialog
      Specified by:
        `showProjectColorDialog` in interface `MainProjectContract.Presenter`

    - #### updateProjectColor

          public void updateProjectColor(ProjectEvaluationType type)

      Description copied from interface: `MainProjectContract.Presenter`
      Update project color
      Specified by:
        `updateProjectColor` in interface `MainProjectContract.Presenter`
      Parameters:
        `type` - evaluation color